#
# spec file for package xclock
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xclock
Version:        1.1.1
Release:        1.10
Summary:        Analog / digital clock for X
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xclock is the classic X Window System clock utility. It displays
the time in analog or digital form, continuously updated at a
frequency which may be specified by the user.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xclock
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_mandir}/man1/xclock.1%{?ext_man}

%changelog
* Fri Apr  8 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.1
  * This release fixes a build issue introduced in 1.1.0 that
    causes builds to fail on NetBSD and other systems without
    sincos() in the math library.
* Sun Apr  3 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.1.0
  * This minor feature update includes an enhancement from Keith
    Packard to make the analog clock hands update more smoothly
    when using the X Render extension.
* Mon Jul 15 2019 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.9
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Clear -Wsign-compare warning from gcc 7.3
  * Consistently use X_GETTIMEOFDAY
  * Fix logic sourrouning && and ||
  * Use fabsf when dealing with floating point numbers
* Wed Feb 20 2019 sndirsch@suse.com
- Update to version 1.0.8
  * bugfixes
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 1.0.7:
  + Combine usage message strings & print them to stderr, not
    stdout.
  + Add noreturn attributes suggested by -Wmissing-noreturn.
  + Store sine & cosine tables as doubles instead of floats.
  + Don't rely on being able to set tab stops.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.6:
  + Calculate text and window size from LC_CTYPE instead of LC_TIME
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xclock from xorg-x11. Initial version: 1.0.5.
